KDE 4.9 PyKDE API Reference

- KDE's Python API

# CSSStyleDeclaration Class Reference

`from PyKDE4.khtml import *`

Namespace: DOM

## Detailed Description

The CSSStyleDeclaration interface represents a single CSS declaration block . This interface may be used to determine the style properties currently set in a block or to set style properties explicitly within the block.

While an implementation may not recognize all CSS properties within a CSS declaration block, it is expected to provide access to all specified properties through the CSSStyleDeclaration interface. Furthermore, implementations that support a specific level of CSS should correctly handle <a href="http://www.w3.org/TR/REC-CSS2/about.html#shorthand"> CSS shorthand properties for that level. For a further discussion of shorthand properties, see the CSS2Properties interface.

## Methods

| __init__ (self)
| __init__ (self, DOM.CSSStyleDeclaration other)
DOM.DOMString | cssText (self)
DOM.CSSValue | getPropertyCSSValue (self, DOM.DOMString propertyName)
DOM.DOMString | getPropertyPriority (self, DOM.DOMString propertyName)
DOM.DOMString | getPropertyValue (self, DOM.DOMString propertyName)
bool | isNull (self)
DOM.DOMString | item (self, long index)
long | length (self)
DOM.CSSRule | parentRule (self)
DOM.DOMString | removeProperty (self, DOM.DOMString propertyName)
| setCssText (self, DOM.DOMString a0)
| setProperty (self, DOM.DOMString propertyName, DOM.DOMString value, DOM.DOMString priority)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | DOM.CSSStyleDeclaration | other
| ) |  |  |

DOM.DOMString cssText | ( |  | self ) |

The parsable textual representation of the declaration block (including the surrounding curly braces). Setting this attribute will result in the parsing of the new value and resetting of the properties in the declaration block.

DOM.CSSValue getPropertyCSSValue | ( | self, |
|  | DOM.DOMString | propertyName
| ) |  |  |

Used to retrieve the object representation of the value of a CSS property if it has been explicitly set within this declaration block. This method returns null if the property is a shorthand property. Shorthand property values can only be accessed and modified as strings, using the getPropertyValue and setProperty methods.

Parameters:

  | propertyName | The name of the CSS property. See the <a href="http://www.w3.org/TR/REC-CSS2/propidx.html"> CSS property index .

Returns:
  Returns the value of the property if it has been explicitly set for this declaration block. Returns the

null if the property has not been set.

DOM.DOMString getPropertyPriority | ( | self, |
|  | DOM.DOMString | propertyName
| ) |  |  |

Used to retrieve the priority of a CSS property (e.g. the "important" qualifier) if the property has been explicitly set in this declaration block.

Parameters:

  | propertyName | The name of the CSS property. See the <a href="http://www.w3.org/TR/REC-CSS2/propidx.html"> CSS property index .

Returns:
  A string representing the priority (e.g.

"important" ) if one exists. The empty string if none exists.

DOM.DOMString getPropertyValue | ( | self, |
|  | DOM.DOMString | propertyName
| ) |  |  |

Used to retrieve the value of a CSS property if it has been explicitly set within this declaration block.

Parameters:

  | propertyName | The name of the CSS property. See the <a href="http://www.w3.org/TR/REC-CSS2/propidx.html"> CSS property index .

Returns:
  Returns the value of the property if it has been explicitly set for this declaration block. Returns the empty string if the property has not been set.

bool isNull | ( |  | self ) |

DOM.DOMString item | ( | self, |
|  | long | index
| ) |  |  |

Used to retrieve the properties that have been explicitly set in this declaration block. The order of the properties retrieved using this method does not have to be the order in which they were set. This method can be used to iterate over all properties in this declaration block.

Parameters:

  | index | Index of the property name to retrieve.

Returns:
  The name of the property at this ordinal position. The empty string if no property exists at this position.

long length | ( |  | self ) |

The number of properties that have been explicitly set in this declaration block.

DOM.CSSRule parentRule | ( |  | self ) |

The CSS rule that contains this declaration block.

DOM.DOMString removeProperty | ( | self, |
|  | DOM.DOMString | propertyName
| ) |  |  |

Used to remove a CSS property if it has been explicitly set within this declaration block.

Parameters:

  | propertyName | The name of the CSS property. See the <a href="http://www.w3.org/TR/REC-CSS2/propidx.html"> CSS property index .

Returns:
  Returns the value of the property if it has been explicitly set for this declaration block. Returns the empty string if the property has not been set or the property name does not correspond to a valid CSS2 property.

DOMException NO_MODIFICATION_ALLOWED_ERR: Raised if this declaration is readonly.

setCssText | ( | self, |
|  | DOM.DOMString | a0
| ) |  |  |

see cssText CSSException SYNTAX_ERR: Raised if the specified CSS string value has a syntax error and is unparsable.

DOMException NO_MODIFICATION_ALLOWED_ERR: Raised if this declaration is readonly.

setProperty | ( | self, |
|  | DOM.DOMString | propertyName,
|  | DOM.DOMString | value,
|  | DOM.DOMString | priority
| ) |  |  |

Used to set a property value and priority within this declaration block.

Parameters:

  | propertyName | The name of the CSS property. See the <a href="http://www.w3.org/TR/REC-CSS2/propidx.html"> CSS property index .
  | value | The new value of the property.
  | priority | The new priority of the property (e.g.

"important" ).

Returns:

CSSException SYNTAX_ERR: Raised if the specified value has a syntax error and is unparsable.

DOMException NO_MODIFICATION_ALLOWED_ERR: Raised if this declaration is readonly.